/*
*********************************************************************************************************
* Module     : PRN_IO.H
* Author     : Originally by Randy Rasa, modified by Dincer Aydin
* Description: Header file for PRN_IO.C (Printer Port I/O Routines)
*********************************************************************************************************
*/

/*
*********************************************************************************************************
* Public Function Prototypes
*********************************************************************************************************
*/
/*void pport_Init (void); */

void pport_Data (unsigned char dataout);
void pport_D0 (char state);
void pport_D1 (char state);
void pport_D2 (char state);
void pport_D3 (char state);
void pport_D4 (char state);
void pport_D5 (char state);
void pport_D6 (char state);
void pport_D7 (char state);

char pport_Error (void);
char pport_Selected (void);
char pport_PaperOut (void);
char pport_Acknowledge (void);
char pport_Busy (void);

void pport_DataStrobe (char state);
void pport_Autofeed (char state);
void pport_InitOut (char state);
void pport_Select (char state);


/*
*********************************************************************************************************
* Macros
*********************************************************************************************************
*/
#define pport_In0()     pport_Error()
#define pport_In1()     pport_Selected()
#define pport_In2()     pport_PaperOut()
#define pport_In3()     pport_Acknowledge()
#define pport_In4()     pport_Busy()

#define pport_Bit0(x)   pport_D0(x)
#define pport_Bit1(x)   pport_D1(x)
#define pport_Bit2(x)   pport_D2(x)
#define pport_Bit3(x)   pport_D3(x)
#define pport_Bit4(x)   pport_D4(x)
#define pport_Bit5(x)   pport_D5(x)
#define pport_Bit6(x)   pport_D6(x)
#define pport_Bit7(x)   pport_D7(x)



#define ctrlreg_Bit0(x)  pport_DataStrobe(x)
#define ctrlreg_Bit1(x)  pport_Autofeed(x)
#define ctrlreg_Bit2(x)  pport_InitOut(x)
#define ctrlreg_Bit3(x)  pport_Select(x)
